## android-platform-frameworks-base 13.0.0+r66

=== debian/changelog ===
android-platform-frameworks-base (1:13.0.0+r66-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Jul 2023 00:19:58 -0700

android-platform-frameworks-base (1:13.0.0+r66-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 13.0.0+r66

 -- Roger Shimizu <rosh@debian.org>  Tue, 25 Jul 2023 01:19:20 -0700

android-platform-frameworks-base (1:13.0.0+r30-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/lintian-overrides:
    - Align for the renamed-tag and use same description.

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 Jul 2023 14:45:45 -0700

android-platform-frameworks-base (1:13.0.0+r30-1~exp4) experimental; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * debian/include:
    - Add chrono header from libstdc++-13-dev to fix ftbfs for gcc-13.
  * debian/patches: Add a missing header to fix ftbfs for gcc-13.
  * debian/tests/control: Restore test for android-framework-res.

  [ Chirayu Desai ]
  * Remove myself from Uploaders

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 Jul 2023 02:54:59 -0700

android-platform-frameworks-base (1:13.0.0+r30-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/aapt2_test.mk: Add -latomic to fix FTBFS on armel/mipsel.
  * Enable all tests of aapt2_test.
  * debian/rules: Skip building aapt2_test for mipsel and mips64el.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Mar 2023 21:21:14 -0700

android-platform-frameworks-base (1:13.0.0+r30-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/rules: Update SDK version and sync with android-platform-tools
  * Split debian/aapt2.mk to debian/libaapt2.mk (Closes: #1014831)
  * Add debian/aapt2_test.mk
  * Revert "Tentatively disable invoking aapt2".

 -- Roger Shimizu <rosh@debian.org>  Sat, 25 Mar 2023 23:55:31 -0700

android-platform-frameworks-base (1:13.0.0+r30-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 13.0.0+r30
  * debian/patches:
    - Refresh patches.
    - Add a new patch to make the build working.

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Feb 2023 22:10:06 -0800

android-platform-frameworks-base (1:13~beta3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version: 13~beta3
  * debian/patches: Refresh patches.
  * debian/patches: Add patch to fix Protobuf FTBFS (Closes: #1012572).
  * Update d/*.mk and d/rules
  * Remove dependency of chrpath
  * Tentatively disable invoking aapt2

 -- Roger Shimizu <rosh@debian.org>  Mon, 27 Jun 2022 19:54:55 +0900
