=== debian/control ===
Source: android-platform-frameworks-base
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Umang Parmar <umangjparmar@gmail.com>
Build-Depends: android-libutils-dev (>= 1:33),
               android-libziparchive-dev (>= 1:33),
               android-platform-frameworks-native-headers (>= 1:33),
               bash-completion,
               clang,
               debhelper (>= 10),
               dh-exec,
               libexpat-dev,
               libgmock-dev <!nocheck>,
               libpng-dev,
               libprotobuf-dev (>= 3.20),
               lld,
               pandoc,
               protobuf-compiler (>= 3.20),
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://android.googlesource.com/platform/frameworks/base
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base

Package: android-libandroidfw
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         android-libutils (>= 1:33),
         android-libziparchive (>= 1:33),
Description: Android utility library
 Library providing utility functions to Android related tools. This is needed
 purely to get various Android utilities working.  In the Google builds of the
 Android SDK, this library is statically linked, but in the Debian packaging,
 it is a private shared library.

Package: android-libandroidfw-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: foreign
Depends: ${misc:Depends},
         android-libandroidfw (= ${binary:Version}),
         android-libutils-dev (>= 1:33),
         android-platform-frameworks-native-headers (>= 1:33),
Breaks: android-libandroidfw (<< 21-2~)
Replaces: android-libandroidfw (<< 21-2~)
Description: Android utility library - Development files
 Library providing utility functions to Android related tools. This is needed
 purely to get various Android utilities working.  In the Google builds of the
 Android SDK, this library is statically linked, but in the Debian packaging,
 it is a private shared library.
 .
 This package contains the development files.

Package: aapt
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Asset Packaging Tool
 The Android Asset Packaging Tool (aapt) takes your application resource
 files, such as the AndroidManifest.xml file and the XML files for your
 Activities, and compiles them. An R.java is also produced so you can
 reference your resources from your Java code. This tool allows you to view,
 create, and update Zip-compatible archives (zip, jar, apk). It can also
 compile resources into binary assets.

Package: android-libaapt
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Asset Packaging Tool - Shared library
 The Android Asset Packaging Tool (aapt) takes your application resource
 files, such as the AndroidManifest.xml file and the XML files for your
 Activities, and compiles them. An R.java is also produced so you can
 reference your resources from your Java code. This tool allows you to view,
 create, and update Zip-compatible archives (zip, jar, apk). It can also
 compile resources into binary assets.
 .
 This package contains the shared library.

Package: split-select
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APK split and selection tool
 Generates the logic for selecting a Split APK given some target Android device
 configuration.
 .
 Using the flag --generate will emit a JSON encoded tree of rules that must be
 satisfied in order to install the given Split APK. Using the flag --target
 along with the device configuration will emit the set of Split APKs to install,
 following the same logic that would have been emitted

Package: android-framework-res
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Android platform framework resources
 This package provides the Android framework resources in an apk file,
 framework-res.apk
