## android-platform-frameworks-base 14~beta1

=== debian/changelog ===
android-platform-frameworks-base (1:14~beta1-5) unstable; urgency=medium

  * debian/patches: Add patch to fix ftbfs for gcc-15 (Closes: #1096311).
  * Remove unused debian/.gitlab-ci.yml

 -- Roger Shimizu <rosh@debian.org>  Mon, 15 Sep 2025 01:53:47 -0700

android-platform-frameworks-base (1:14~beta1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Aug 2025 01:14:25 -0700

android-platform-frameworks-base (1:14~beta1-4~exp1) experimental; urgency=medium

  * Team upload.
  * Update the lib dependencies to fix FTBFS with make --shuffle=reverse
    (Closes: #1105292).

 -- Roger Shimizu <rosh@debian.org>  Sun, 13 Jul 2025 21:19:48 +0200

android-platform-frameworks-base (1:14~beta1-3) unstable; urgency=medium

  * Team upload.
  * fix FTBFS: 'string' is a private member of 'android::String8' (Closes: #1082678)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Nov 2024 23:12:43 +0100

android-platform-frameworks-base (1:14~beta1-2) unstable; urgency=medium

  * Team upload.
  * Revert "d/include: Add chrono header from libstdc++-13-dev to fix ftbfs
    for gcc-13".
  * debian/rules: get-orig-source: Skip creating orig tarball if it is already
    there.

 -- Roger Shimizu <rosh@debian.org>  Sat, 11 Nov 2023 17:23:03 -0800

android-platform-frameworks-base (1:14~beta1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control:
    - Do not use lld for risc64el and remove support for mips.

 -- Roger Shimizu <rosh@debian.org>  Tue, 07 Nov 2023 00:12:27 -0800

android-platform-frameworks-base (1:14~beta1-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/control:
    - Bump up base android lib version.
    - Add riscv64 support.
  * debian/rules: Minor update.

 -- Roger Shimizu <rosh@debian.org>  Wed, 09 Aug 2023 00:44:42 -0700

android-platform-frameworks-base (1:14~beta1-1~exp~1) experimental; urgency=medium

  * Team upload.
  * New upstream release 14~beta1
  * debian/patches: Remove unused patch.
  * debian/rules: Update version in URL.
  * debian/*.mk: Move cpp std version to d/rules.

 -- Roger Shimizu <rosh@debian.org>  Sun, 30 Jul 2023 17:46:55 -0700
