=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Umang Parmar <umangjparmar@gmail.com>
-Build-Depends: android-libutils-dev (>= 1:33),
-               android-libziparchive-dev (>= 1:33),
-               android-platform-frameworks-native-headers (>= 1:33),
+Build-Depends: android-libutils-dev (>= 1:34),
+               android-libziparchive-dev,
+               android-platform-frameworks-native-headers (>= 1:34),
                bash-completion,
                clang,
                debhelper (>= 10),
@@ -14,22 +14,22 @@
                libgmock-dev <!nocheck>,
                libpng-dev,
                libprotobuf-dev (>= 3.20),
-               lld,
+               lld [amd64 i386 armel armhf arm64 mipsel mips64el],
                pandoc,
                protobuf-compiler (>= 3.20),
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Homepage: https://android.googlesource.com/platform/frameworks/base
+Homepage: https://source.android.com/source/developing.html
 Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base.git
 Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-frameworks-base
 
 Package: android-libandroidfw
 Section: libs
-Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Architecture: amd64 i386 armel armhf arm64 mipsel mips64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         android-libutils (>= 1:33),
-         android-libziparchive (>= 1:33),
+         android-libutils (>= 1:34),
+         android-libziparchive,
 Description: Android utility library
  Library providing utility functions to Android related tools. This is needed
  purely to get various Android utilities working.  In the Google builds of the
@@ -38,12 +38,12 @@
 
 Package: android-libandroidfw-dev
 Section: libdevel
-Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Architecture: amd64 i386 armel armhf arm64 mipsel mips64el riscv64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          android-libandroidfw (= ${binary:Version}),
-         android-libutils-dev (>= 1:33),
-         android-platform-frameworks-native-headers (>= 1:33),
+         android-libutils-dev (>= 1:34),
+         android-platform-frameworks-native-headers (>= 1:34),
 Breaks: android-libandroidfw (<< 21-2~)
 Replaces: android-libandroidfw (<< 21-2~)
 Description: Android utility library - Development files
@@ -55,7 +55,7 @@
  This package contains the development files.
 
 Package: aapt
-Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Architecture: amd64 i386 armel armhf arm64 mipsel mips64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool
@@ -67,7 +67,7 @@
  compile resources into binary assets.
 
 Package: android-libaapt
-Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Architecture: amd64 i386 armel armhf arm64 mipsel mips64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android Asset Packaging Tool - Shared library
@@ -81,7 +81,7 @@
  This package contains the shared library.
 
 Package: split-select
-Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
+Architecture: amd64 i386 armel armhf arm64 mipsel mips64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APK split and selection tool
